import React from 'react';
import type { InputOptions } from '../../modules/create-index/options';
type CollapsibleInputProps = {
    name: InputOptions;
    type: 'text' | 'code' | 'number';
    label: React.ReactElement | string;
    description: React.ReactElement | string;
    disabled?: boolean;
    optional?: boolean;
    units?: string;
    value: string;
    onChange(name: string, newVal: string): void;
    enabled: boolean;
    onEnabled(name: string, newVal: boolean): void;
};
export declare const CollapsibleInput: React.FunctionComponent<CollapsibleInputProps>;
declare const _default: import("react-redux").ConnectedComponent<React.FunctionComponent<CollapsibleInputProps>, {
    name: InputOptions;
    disabled?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=collapsible-input.d.ts.map